org.infinispan.schematic

## Class Schematic.DocumentChanges

- java.lang.Object
- - org.infinispan.schematic.Schematic.DocumentChanges

- All Implemented Interfaces:
    Iterable<Operation>, Changes
  Enclosing class:
    Schematic

      protected static class Schematic.DocumentChanges
      extends Object
      implements Changes, Iterable<Operation>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Schematic.DocumentChanges.Externalizer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Schematic.DocumentChanges(List<Operation> operations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Schematic.DocumentChanges` | `clone()` Obtain a clone of these changes.
    `boolean` | `isEmpty()` Determine if there are any changes.
    `Iterator<Operation>` | `iterator()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Schematic.DocumentChanges

          protected Schematic.DocumentChanges(List<Operation> operations)

  - ### Method Detail

    - #### clone

          public Schematic.DocumentChanges clone()

      Description copied from interface: `Changes`
      Obtain a clone of these changes.
      Specified by:
        `clone` in interface `Changes`
      Overrides:
        `clone` in class `Object`
      Returns:
        the clone of these changes; never null

    - #### iterator

          public Iterator<Operation> iterator()

      Specified by:
        `iterator` in interface `Iterable<Operation>`

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `Changes`
      Determine if there are any changes.
      Specified by:
        `isEmpty` in interface `Changes`
      Returns:
        true if there is at least one change, or false if there are none

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.